Skip to main content
PATCH
/
business_entities
/
{entity_id}
Update business entity
curl --request PATCH \
  --url https://api.zenskar.com/business_entities/{entity_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "line3": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "<string>",
    "validation_status": "<string>"
  },
  "email": "<string>",
  "phone_number": "<string>",
  "is_default": true,
  "tax_config": {},
  "logo_url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "is_default": true,
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "line3": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "<string>",
    "validation_status": "<string>"
  },
  "email": "<string>",
  "phone_number": "<string>",
  "tax_config": {},
  "logo_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

entity_id
string<uuid>
required

Body

application/json

Update Organisation Request Schema

name
string | null

Business Entity Name

address
EntityAddress · object

Business Entity address

email
string | null

Business Entity email

phone_number
string | null

Business Entity phone number

Maximum string length: 20
is_default
boolean | null

Business Entity default

tax_config
Tax Config · object

Business Entity tax config

logo_url
string | null

Business Entity logo URL

Response

Successful Response

Business Entity Response Schema

id
string<uuid>
required

Business Entity ID

name
string
required

Business Entity Name

is_default
boolean
required

Business Entity default

address
EntityAddress · object

Business Entity address

email
string | null

Business Entity email

phone_number
string | null

Business Entity phone number

tax_config
Tax Config · object

Business Entity tax config

logo_url
string | null

Business Entity logo URL